Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.stmt.mssql
Class TMssqlSetSqlNode

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.stmt.mssql.TMssqlSetSqlNode

All Implemented Interfaces:
  Visitable

    public class TMssqlSetSqlNode

extends TParseTreeNode

Constructor Summary
`TMssqlSetSqlNode()`

Method Summary
`int` | `getSetType()`
`TSelectSqlNode` | `getSubquery()`
`TExpression` | `getVarExpr()`
`TObjectName` | `getVarName()`
`TFunctionCall` | `getXmlMethod()`
`void` | `init(java.lang.Object arg1, java.lang.Object arg2)`
`void` | `setSetType(int setType)`
`void` | `setXmlMethod(TFunctionCall xmlMethod)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TMssqlSetSqlNode

    public TMssqlSetSqlNode()

Method Detail

### getSetType

    public int getSetType()

### getVarName

    public TObjectName getVarName()

### setXmlMethod

    public void setXmlMethod(TFunctionCall xmlMethod)

### getXmlMethod

    public TFunctionCall getXmlMethod()

### getSubquery

    public TSelectSqlNode getSubquery()

### getVarExpr

    public TExpression getVarExpr()

### setSetType

    public void setSetType(int setType)

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2)

  Overrides:
    `init` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD